tools: Add build script for ARM kernel of rpi4
authorHoegeun Kwon <hoegeun.kwon@samsung.com>
Wed, 14 Aug 2019 09:58:44 +0000 (18:58 +0900)
committerHoegeun Kwon <hoegeun.kwon@samsung.com>
Thu, 3 Aug 2023 08:43:53 +0000 (17:43 +0900)
Add build script for ARM kernel of rpi4.

Change-Id: I96cf3d55235a0a67d610bf87aa9ddf4f5e972411
Signed-off-by: Hoegeun Kwon <hoegeun.kwon@samsung.com>
build-rpi4-arm32.sh [new file with mode: 0755]

diff --git a/build-rpi4-arm32.sh b/build-rpi4-arm32.sh
new file mode 100755 (executable)
index 0000000..ef88cbe
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Check this system has ccache
+check_ccache()
+{
+       type ccache
+       if [ "$?" -eq "0" ]; then
+               CCACHE=ccache
+       fi
+}
+
+check_ccache
+
+rm -f arch/arm/boot/zImage
+rm -f arch/arm/boot/dts/*.dtb
+
+if ! [ -e .config ] ; then
+       make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi- tizen_bcm2711_defconfig
+fi
+
+make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi- -j8
+
+if [ ! -f "./arch/arm/boot/zImage" ]; then
+       echo "Build fail"
+       exit 1
+fi